<?php
##########################################
# ~ Разработка отдельных модулей ~~~~~~~ #
# ~ и написание скриптов на php (c)KoT ~ #
# ~ ICQ: 7675072 ~~~~~~~~~~~~~~~~~~~~~~~ #
# ~ Site: 4atlove.ru ~~~~~~~~~~~~~~~~~~~ #
# ~ E-mail: notefree@bk.ru ~~~~~~~~~~~~~ #
##########################################

require '../class/img.php';
if (isset($_GET['img'], $_GET['width'], $_GET['height']) && $_GET['width'] && $_GET['width'] < 500 && $_GET['height'] < 500) {
	$file = '../'.$_GET['img'];
	if(!file_exists($file)) exit('Такого файла нет');
	$img = new img($file);
	$img
	->img_down()
	->resize((int)$_GET['width'], (int)$_GET['height'])
	->print_img(pathinfo($file, PATHINFO_EXTENSION));
} else echo 'Не валидные параметры изображения';
/*
utils/resize.php?img=1.jpg&width=100&height=0
Если height=0 размер меняется пропорционально
*/